/* TTMPCRC.h
 *
 * Yet another CRC-32 implementation.
 *
 * Copyright (C) 2005-2006 TomTom BV <http://www.tomtom.com/>
 * Author 0: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2
 * as published by the Free Software Foundation.
 */

#ifndef INCLUDED_TTMPCRC_H
#define INCLUDED_TTMPCRC_H

#include "basetypes.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

TUint32 TTMPCRC(const TUint8 *data, TUint32 size);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* INCLUDED_TTMPCRC_H */

/* EOF */
